import numpy
from chemsh import *

numpy.set_printoptions(threshold=10)

sod1 = Fragment(coords='sod1.pdb')

ff = DL_FIELD(ff='charmm36_prot',
              cutoff_vdw=20.0,
              pbc=None,
              frag=sod1,
             )

qm_region = range(4285,4301)

qm_theory = NWChem(method='hf',
                   basis='sto-3g',
                   path='/home/ylu/Programs/nwchem/6.8.1_v19.1/bin/LINUX64/nwchem',
                   memory=1000)

mm_theory = DL_POLY(ff=ff,
                    rcut=20.0,
                   )


qmmm = QMMM(qm=qm_theory,
            mm=mm_theory,
            qm_region=qm_region,
            frag=sod1,
           )


sp = SP(theory=qmmm).run(dryrun=False)
